Bug 1342644 - Quota enforcement for group as quota source does not work
Summary: Quota enforcement for group as quota source does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.5.5
Assignee: Tina Fitzgerald
QA Contact: Aziza Karol
URL:
Whiteboard: quota
Depends On: 1286999
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 18:33 UTC by Tina Fitzgerald
Modified: 2017-08-30 02:06 UTC (History)
7 users (show)

Fixed In Version: 5.5.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1286999
Environment:
Last Closed: 2016-07-26 15:35:21 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1488 normal SHIPPED_LIVE CFME 5.5.5 bug fixes and enhancement update 2016-07-26 19:28:27 UTC

Comment 2 CFME Bot 2016-06-03 21:21:44 UTC
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=9252b6d37e3f242c53292c13d48ff65dac00ba61

commit 9252b6d37e3f242c53292c13d48ff65dac00ba61
Merge: a1cd891 9b96d6c
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Jun 3 17:21:35 2016 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Jun 3 17:21:35 2016 -0400

    Merge branch 'cherry_pick_5685' into '5.5.z'
    
    Fixed issue with group as quota source.
    
    Clean cherry-pick.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1342644
    
    Original:
    https://bugzilla.redhat.com/show_bug.cgi?id=1286999
    https://github.com/ManageIQ/manageiq/pull/5685
    
    See merge request !959

 .../QuotaMethods.class/__methods__/limits.rb       |  2 ++
 .../method_validation/calculate_limits_spec.rb     | 26 +++++++++++++++++-----
 2 files changed, 23 insertions(+), 5 deletions(-)

Comment 5 Aziza Karol 2016-07-11 05:43:36 UTC
Verification blocked due to https://bugzilla.redhat.com/show_bug.cgi?id=1351716.

Comment 6 Aziza Karol 2016-07-14 11:52:40 UTC
Quota enforcement for group as quota source works.

Verified:5.5.5.2.20160712144556_629f93b

Comment 8 errata-xmlrpc 2016-07-26 15:35:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1488.html


Note You need to log in before you can comment on or make changes to this bug.